org.apache.ignite.internal.processors.hadoop

## Class HadoopClasspathUtils.AcceptAllDirectoryFilter

- java.lang.Object
- - org.apache.ignite.internal.processors.hadoop.HadoopClasspathUtils.AcceptAllDirectoryFilter

All Implemented Interfaces:
  HadoopClasspathUtils.DirectoryFilter

Enclosing class:
  HadoopClasspathUtils

    public static class HadoopClasspathUtils.AcceptAllDirectoryFilter
    extends Object
    implements HadoopClasspathUtils.DirectoryFilter

Filter to accept all files.

### Field Summary

Fields
`static HadoopClasspathUtils.AcceptAllDirectoryFilter` `INSTANCE` Singleton instance.

### Constructor Summary

Constructors
Constructor and Description
`AcceptAllDirectoryFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `test(String name)` Test if file with this name should be included.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final HadoopClasspathUtils.AcceptAllDirectoryFilter INSTANCE

Singleton instance.

### Constructor Detail

#### AcceptAllDirectoryFilter

    public AcceptAllDirectoryFilter()

### Method Detail

#### test

    public boolean test(String name)

Test if file with this name should be included.

Specified by:
  `test` in interface `HadoopClasspathUtils.DirectoryFilter`
Parameters:
  `name` - File name.
Returns:
  `True` if passed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020